View Issue Details

IDProjectCategoryView StatusLast Update
0000063Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.17 
Target Version2.1Fixed in Version2.1 
Summary0000063: URL-Mapping für Action-Adressen
DescriptionActions werden aktuell über ihren Namespace und den Namen der Konfigurations-Sektion angesprochen. Im Rahmen dieses Features soll der Front-Controller um ein URL-Mapping für Action-Adressen erweitert werden.

Beispiel:
?foo_bar_baz-action:search => search

Dies soll sowohl für den Input-Filter als auch für die URL-Geneierung genutzt werden können. Damit sehen URLs mit Actions besser aus.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2014-03-14 22:19

administrator   ~0000266

First draft implementation done. Unit Tests for LinkSchemes started but not finished. Sync check-in done with rev #2781.

ChristianAchatz

2014-03-18 07:27

administrator   ~0000268

Further implementation done. Currently working on Unit Tests for all LinkSchemes.

ChristianAchatz

2014-03-20 19:58

administrator   ~0000270

* Finished implementation and Unit Tests.
* Added documentation to SVN (to be updated with the next page update).

Issue History

Date Modified Username Field Change
2013-08-19 10:41 ChristianAchatz New Issue
2014-03-11 23:56 ChristianAchatz Assigned To => ChristianAchatz
2014-03-11 23:56 ChristianAchatz Status new => assigned
2014-03-14 22:19 ChristianAchatz Note Added: 0000266
2014-03-18 07:27 ChristianAchatz Note Added: 0000268
2014-03-20 19:58 ChristianAchatz Note Added: 0000270
2014-03-20 19:58 ChristianAchatz Status assigned => resolved
2014-03-20 19:58 ChristianAchatz Fixed in Version => 2.1
2014-03-20 19:58 ChristianAchatz Resolution open => fixed
2015-10-12 12:20 ChristianAchatz Status resolved => closed